import { ChipList, IndentationWrapper } from '@openctx/ui-react';
import { useMemo } from 'react';
import { createRoot } from 'react-dom/client';
import { jsx as _jsx } from "react/jsx-runtime";
import { openCtxData, showOpenCtxDecorations } from './extension';
export function useOpenCtxExtension({ visibility, items, }) {
    // TODO(sqs): useCompartment results in sometimes the facet data being stale because the editor is reconfigured
    return useMemo(() => visibility
        ? [
            openCtxData(items),
            showOpenCtxDecorations({
                visibility,
                createDecoration(container, { indent, items }) {
                    const root = createRoot(container);
                    root.render(_jsx(IndentationWrapper, { indent: indent, children: _jsx(ChipList, { items: items, chipClassName: "octx-chip", popoverClassName: "octx-chip-popover" }) }));
                    return {
                        destroy() {
                            root.unmount();
                        },
                    };
                },
            }),
        ]
        : [], [visibility, items]);
}
//# sourceMappingURL=useOpenCtxExtension.js.map